apiVersion: apps/v1
kind: Deployment
metadata:
  labels:
    app: loop-curl-statistics
  name: loop-curl-statistics
spec:
  replicas: 1
  selector:
    matchLabels:
      app: loop-curl-statistics
  template:
    metadata:
      labels:
        app: loop-curl-statistics
    spec:
      containers:
      - env:
        - name: DESTINATION_URL
          value: 'https://api.cluster-bdn64.bdn64.sandbox1030.opentlc.com:6443'
        - name: TIME_INTERVAL
          value: '5'
        image: registry.gitlab.com/two.oes/curl-statistics/curl-statistics-loop:latest
        imagePullPolicy: Always
        name: loop-curl-statistics
        volumeMounts:
        - mountPath: /opt/app-root/loop_curl_statistics.txt
          name: loop-curl-statistics
          subPath: loop_curl_statistics.txt
      volumes:
      - name: loop-curl-statistics
        configMap:
          defaultMode: 420
          items:
          - key: loop_curl_statistics.txt
            path: loop_curl_statistics.txt
          name: loop-curl-statistics
